%define upstream_name	 File-Next
%define upstream_version 1.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    File-finding iterator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
File::Next is a lightweight, taint-safe file-finding module. It's lightweight
and has no non-core prerequisites.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.180.0-4.mga10
+ Revision: 2205635
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.180.0-3.mga9
+ Revision: 1811873
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.180.0-2.mga8
+ Revision: 1530308
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tv <tv> 1.180.0-1.mga8
+ Revision: 1434685
- update to 1.18

* Wed Sep 19 2018 umeabot <umeabot> 1.160.0-2.mga7
+ Revision: 1268154
- Mageia 7 Mass Rebuild

* Sat Mar 25 2017 shlomif <shlomif> 1.160.0-1.mga6
+ Revision: 1094775
- New version 1.16

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-7.mga6
+ Revision: 1027401
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.120.0-6.mga6
+ Revision: 930027
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-5.mga5
+ Revision: 740049
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-4.mga5
+ Revision: 684746
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.120.0-3.mga4
+ Revision: 511676
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-2.mga3
+ Revision: 367280
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.120.0-1.mga3
+ Revision: 342155
- update to 1.12

* Wed Jul 04 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 267334
- update to 1.10

* Tue Jun 05 2012 jquelin <jquelin> 1.80.0-1.mga3
+ Revision: 254947
- update to 1.08

* Thu Jan 20 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 26182
- mageia rebuild
- imported package perl-File-Next


* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 1.60.0-1mdv2010.0
+ Revision: 415004
- update to 1.06

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 408833
- update to 1.04

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 403176
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.02-3mdv2009.0
+ Revision: 256983
- rebuild

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2008.1
+ Revision: 152919
- new version
- update to new version 1.02

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2008.0
+ Revision: 46526
- update to new version 1.00


* Mon Mar 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.40-1mdv2007.1
+ Revision: 141685
- new version

* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2007.1
+ Revision: 133685
- new version

* Thu Dec 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2007.1
+ Revision: 96807
- new version

* Thu Oct 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.28-1mdv2007.1
+ Revision: 66430
- Import perl-File-Next

